IPSEC_CALCGOO(8)

NAME
ipsec calcgoo - calculate hex value for matching modules and kernels

SYNOPSIS
ipsec calcgoo

DESCRIPTION
calcgoo accepts the output of nm -ao or /proc/ksyms and extracts a release dependant list of symbols from it. The symbols are processed to extract the values assigned during the MODVERSIONS process. This process makes sure that Linux modules are only loaded on matching kernels.

This routine is used to find an appropriate module to match the currently running kernel by _startklips.

FILES
/proc/ksyms

SEE ALSO
ipsec__startklips(8), genksyms(8)

HISTORY
Written for the Linux FreeS/WAN project <http://www.freeswan.org> by Michael Richardson.

BUGS